- entityDefinitions:
  - IDI_Task_CustomReportDefinition_Edit:    '{e1e8fc72-1807-4efe-b829-028e01db5d0c}'
  - IDE_CustomReportDefinition_Edit:        '{b4a041b0-7290-4ca9-a199-22ff2d05a077}'

  - IDE_CustomReportDefinition_Edit_Start: '{c38be0aa-822a-4fa2-a0c4-e5b8d0758ca7}'
  - IDM_CustomReportDefinition_Edit_Start:  '{a9a86581-f241-4b75-81f4-b783af3f1411}'

  - IDMB_CustomReportDefinition_Edit: '{2d3ea0bf-cb3f-41c5-8477-8876ba4a507a}'
  - IDM_CustomReportDefinition_Edit: '{0e157ae5-e9dc-4054-8f09-89fec6e6cd48}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CustomReportDefinition_Edit;'
    name: 'Edit Custom Report Definition'
    initiatingElement: '&IDE_CustomReportDefinition_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_CustomReportDefinition;'
    
  - controlTransactionMethod: '&IDM_CustomReportDefinition_Edit_Start;'
    forClassId: '&IDC_CustomReportDefinition;'
    verb: ''
    name: 'Custom Report Definition Edit Start'
    buildsResponseWithBRMB: '&IDMB_CustomReportDefinition_Edit;'

  - element: '&IDE_CustomReportDefinition_Edit_Start;'
    name: 'Edit Custom Report Definition Start'
    processedByCTMethod: '&IDM_CustomReportDefinition_Edit_Start;'
    elementContents:
    - globalIdentifier: '{09f05ead-e2eb-4eec-b608-def7ac917219}'
      defaultDataType: '&IDE_CustomReportDefinition_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CustomReportDefinition_Edit;'
    name: 'Edit Custom Report Definition'
    elementContents:
    - globalIdentifier: '{932298ef-2bf1-46f8-aa43-46701e06fb8c}'
      defaultDataType: '&IDC_CustomReportDefinition;'
      label: 'Custom Report Definition'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{9eca3f76-beb1-43bc-8863-e72c6e86a554}'
      defaultDataType: '&IDE_CustomReportDefinition_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{a9c65f34-60aa-47ca-9fa2-1c914140a8f5}'
      defaultDataType: '&IDE_CustomReportDefinition_TabsSubedit;'
      layout: '{1e86a47a-45e3-488b-a979-b4db2d2cc7f0}'
      # displayOptions:
      # - instance: '&IDI_DisplayOption_Singular;'
      # - instance: '&IDI_DisplayOption_ShowSubelementsTabbed;'

  - buildUIResponseMethod: '&IDM_CustomReportDefinition_Edit;'
    usesExecutableReturningElement: '&IDE_CustomReportDefinition_Edit;'

  - buildResponseMethodBinding: '&IDMB_CustomReportDefinition_Edit;'
    executesMethod: '&IDM_CustomReportDefinition_Edit;'
